int main(void) {
	struct AES_ctx ctx;
	unsigned char buf[16];

	init_hardware(); /* UART TX is on D12 */

	for(;;) {
		P1OUT = 1; /* Rising edge on D15 to trigger time reference. */
		AES_init_ctx_iv(&ctx, KEY, IV);
		P1OUT = 0;

		put("Here is your message:\n");

		for(int i=0; i < LEN_FLAGPIECES; i++) {
			memcpy(buf, FLAGPIECE[i], 16);
			AES_CBC_encrypt_buffer(&ctx, buf, 16);
			print_hex(buf);
		}
	}
}

